<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2007                                            */
/* http://www.php-maximus.org                                           */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/* Portage Coppermine Photo Gallery                                     */
/************************************************************************/
defined('MAXIMUS') or require_once("mainfile.php");

$pagetitle = "- Coppermine";


define('IN_COPPERMINE', true);
define('DISPLAYECARD_PHP', true);

switch($func) {
default:

incoh();
require('modules/Coppermine/include/init.inc.php');
require('modules/Coppermine/include/smilies.inc.php');

if (!isset($_GET['data'])) cpg_die(CRITICAL_ERROR, $lang_errors['param_missing'], __FILE__, __LINE__);

$data = array();
$data = @unserialize(@base64_decode($_GET['data']));
if (!is_array($data)) {
	cpg_die(CRITICAL_ERROR, 'Sorry but e-card data have been corrupted by your mail client', __FILE__, __LINE__);
}

// Remove HTML tags as we can't trust what we receive
foreach($data as $key => $value) $data[$key] = strtr($value, $HTML_SUBST);

// Load template parameters
$params = array(
	'{LANG_DIR}' => $lang_text_dir,
	'{TITLE}' => sprintf($lang_ecard_php['ecard_title'], $data['sn']),
	'{CHARSET}' => $CONFIG['charset'] == 'language file' ? $lang_charset : $CONFIG['charset'],
	'{VIEW_ECARD_TGT}' => '',
	'{VIEW_ECARD_LNK}' => '',
	'{PIC_URL}' => $data['p'],
	'{URL_PREFIX}' => '',
	'{GREETINGS}' => $data['g'],
	'{MESSAGE}' => nl2br(process_smilies($data['m'])),
	'{SENDER_EMAIL}' => $data['se'],
	'{SENDER_NAME}' => $data['sn'],
	'{VIEW_MORE_TGT}' => $CONFIG['ecards_more_pic_target'],
	'{VIEW_MORE_LNK}' => $lang_ecard_php['view_more_pics'],
);

// Parse template
echo template_eval($template_ecard, $params);
incof();
break;
}